org.jgroups.blocks.locking

## Interface LockNotification

All Known Implementing Classes:
  CENTRAL_LOCK, LockServiceDemo

    public interface LockNotification

Author:
  Bela Ban

### Method Summary

Methods
`void` `awaited(java.lang.String lock_name, Owner owner)`
`void` `awaiting(java.lang.String lock_name, Owner owner)`
`void` `lockCreated(java.lang.String name)`
`void` `lockDeleted(java.lang.String name)`
`void` `locked(java.lang.String lock_name, Owner owner)`
`void` `unlocked(java.lang.String lock_name, Owner owner)`

### Method Detail

#### lockCreated

    void lockCreated(java.lang.String name)

#### lockDeleted

    void lockDeleted(java.lang.String name)

#### locked

    void locked(java.lang.String lock_name,
              Owner owner)

#### unlocked

    void unlocked(java.lang.String lock_name,
                Owner owner)

#### awaiting

    void awaiting(java.lang.String lock_name,
                Owner owner)

#### awaited

    void awaited(java.lang.String lock_name,
               Owner owner)